IDEA编译时出现 Information:java: javacTask: 源发行版 1.8 需要目标发行版 1.8

 

 

 

错误如下

检查下面几个地方设置是否一致...

1.Project Structure下(File->Project Structure...)

   Sources选项卡->Languate level

   Dependencies选项卡->Module SDK

 

2.Settings下找到Java Compiler

里边有两个设置Project bytecode version,Target bytecode version

3.Settings下找到Maven Runner 里边有JRE

 

posted @ 2018-02-07 00:28  小墨的童鞋  阅读(34650)  评论(6编辑  收藏  举报